.bg0105 {
  --clKm: #b5e5cf;
  background: #b5e5cf;
}

.bg0510 {
  --clKm: #ffff9a;
  background: #ffff9a;
}

.bg1015 {
  --clKm: #f7c1d9;
  background: #f7c1d9;
}

.bg15 {
  --clKm: #f7c1d9;
  background: #f7c1d9;
}

.bg-over15 {
  --clKm: #f4aba8;
  background: #f4aba8;
}

.bg1520 {
  --clKm: #f4aba8;
  background: #f4aba8;
}

.bg-over20 {
  --clKm: #dd5a5a;
  background: #dd5a5a;
}

.bg-none {
  --clKm: #ccc;
  background: #ccc;
}

.bgwhite {
  border: 2px solid #ddd;
  background: #fff;
}

.p-prediction {
  padding: 40px 0 0;
}
@media (min-width: 768px) {
  .p-prediction {
    padding: 80px 0 0;
  }
}
.p-prediction__sub {
  margin-bottom: 40px;
}
@media (min-width: 768px) {
  .p-prediction__sub {
    margin-bottom: 70px;
  }
}
.p-prediction__wrap {
  background: #efefef;
  padding: 40px 0;
}
@media (min-width: 768px) {
  .p-prediction__wrap {
    padding: 80px 0;
  }
}
.p-prediction__legend {
  background: #fff;
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-bottom: 40px;
  padding: 15px;
}
@media (min-width: 768px) {
  .p-prediction__legend {
    flex-direction: row;
    align-items: center;
    gap: 32px;
    margin-bottom: 73px;
    padding: 12px 47px;
  }
}
.p-prediction__legend label {
  background: #efefef;
  font-size: 13px;
  line-height: 1;
  width: 130px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  flex-shrink: 0;
}
.p-prediction__legend ul {
  flex: 1;
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}
@media (min-width: 768px) {
  .p-prediction__legend ul {
    flex-wrap: nowrap;
    justify-content: space-between;
    gap: 10px;
  }
}
.p-prediction__legend ul li {
  font-size: 13px;
  display: flex;
  align-items: center;
  width: 45%;
}
@media (min-width: 768px) {
  .p-prediction__legend ul li {
    font-size: 18px;
    width: auto;
    line-height: 1.0909090909;
  }
}
.p-prediction__legend ul li span {
  flex-shrink: 0;
  margin-right: 10px;
  font-weight: 500;
}
.p-prediction__legend ul li span.boxcolor {
  width: 20px;
  height: 20px;
  display: inline-block;
}
@media (min-width: 768px) {
  .p-prediction__legend ul li span.boxcolor {
    width: 24px;
    height: 24px;
  }
}
.p-prediction__legend.--lemodal {
  margin-bottom: 30px;
  padding: 12px;
  text-align: left;
}
.p-prediction__legend.--lemodal ul {
  gap: 10px;
}
@media (min-width: 768px) {
  .p-prediction__legend.--lemodal ul {
    gap: 47px;
    justify-content: flex-start;
  }
}
.p-prediction__legend.--lemodal ul li {
  font-size: 12px;
  width: 45%;
}
@media (min-width: 768px) {
  .p-prediction__legend.--lemodal ul li {
    font-size: 16px;
    width: auto;
  }
}
.p-prediction__legend.--lemodal ul li br {
  display: none;
}
.p-prediction__legend.--lemodal label {
  font-size: 11px;
  width: 115px;
}
.p-prediction__lead {
  font-weight: 600;
  font-size: 18px;
  text-align: center;
  margin-top: 30px;
}
@media (min-width: 768px) {
  .p-prediction__lead {
    font-size: 32px;
  }
}
.p-prediction__section {
  position: relative;
  z-index: 1;
  background: #fff;
  margin-bottom: 40px;
}
@media (min-width: 768px) {
  .p-prediction__section {
    margin-bottom: 56px;
  }
}
.p-prediction__section .pos-anchor {
  position: absolute;
  top: -55px;
  left: 0;
}
@media (min-width: 768px) {
  .p-prediction__section .pos-anchor {
    top: -150px;
  }
}
.p-prediction__section.closed .p-prediction__ttl.is-active:after {
  transform: translateY(-50%) rotate(-90deg);
}
.p-prediction__section.closed .p-prediction__ttl:after {
  transform: translateY(-50%) rotate(90deg);
}
.p-prediction__section.closed .p-prediction__box {
  display: none;
}
.p-prediction__jam {
  background: #fff;
  display: flex;
  font-size: 10px;
  font-weight: 500;
  min-height: 40px;
  margin-bottom: 15px;
  text-align: left;
}
@media (min-width: 768px) {
  .p-prediction__jam {
    font-size: 18px;
    min-height: 48px;
    margin-bottom: 32px;
  }
}
.p-prediction__jam .jam-ttl {
  background: #2e2e2e;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 75px;
  margin-right: 10px;
  clip-path: polygon(0 0, 92% 0%, 100% 50%, 92% 100%, 0 100%, 0% 50%);
}
@media (min-width: 768px) {
  .p-prediction__jam .jam-ttl {
    min-width: 240px;
    margin-right: 32px;
  }
}
.p-prediction__jam > p {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding: 5px 0;
}
.p-prediction__small {
  display: inline-block;
  font-size: 12px;
}
@media (min-width: 768px) {
  .p-prediction__small {
    font-size: 40px;
  }
}
.p-prediction__ttl {
  font-size: 20px;
  font-weight: bold;
  text-align: left;
  background: var(--c-blue-2);
  color: #fff;
  position: relative;
  cursor: pointer;
  padding: 12px 0 12px 22px;
}
@media (min-width: 768px) {
  .p-prediction__ttl {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    text-align: center;
    padding: 16px 0;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__ttl {
    font-size: 25px;
  }
}
.p-prediction__ttl:after {
  position: absolute;
  content: "";
  top: 50%;
  right: 20px;
  transform: translateY(-50%) rotate(-90deg);
  background: url(../img/common/ic_circle.png) no-repeat top center;
  background-size: contain;
  filter: brightness(0) invert(1);
  width: 35px;
  height: 35px;
  transition: all 0.3s ease;
}
@media (min-width: 768px) {
  .p-prediction__ttl:after {
    width: 56px;
    height: 56px;
    right: 56px;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__ttl:after {
    width: 46px;
    height: 46px;
    right: 20px;
  }
}
.p-prediction__ttl.is-active:after {
  transform: translateY(-50%) rotate(90deg);
}
.p-prediction__ttl.noted {
  flex-direction: column;
  gap: 10px;
}
.p-prediction__ttl.noted small {
  font-weight: 400;
  display: block;
  line-height: 1.4;
}
@media (max-width: 767px) {
  .p-prediction__ttl.noted small {
    margin-top: 7px;
    font-size: 11px;
    padding-right: 65px;
  }
}
@media (min-width: 768px) {
  .p-prediction__ttl.noted small {
    font-size: 16px;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__ttl.noted small {
    font-size: 13px;
  }
}
.p-prediction__ttl.--primary {
  background: var(--keycolor);
}
.p-prediction__ttl.--cuszmodal {
  background: none;
  color: #222;
  pointer-events: none;
}
.p-prediction__ttl.--cuszmodal:after {
  display: none;
}
@media (min-width: 768px) {
  .p-prediction__ttl.--cuszmodal {
    margin-bottom: 30px;
  }
}
@media (max-width: 767px) {
  .p-prediction__ttl.--cuszmodal {
    font-size: 20px;
    display: block;
    text-align: center;
  }
}
.p-prediction__ttl.--cuszmodal .unit {
  display: flex;
  margin-top: 5px;
  justify-content: center;
}
@media (min-width: 768px) {
  .p-prediction__ttl.--cuszmodal span {
    font-size: 24px;
  }
}
.p-prediction__ttl.--cuszmodal .sub {
  font-style: normal;
  margin-right: 10px;
  font-size: 16px;
}
@media (min-width: 768px) {
  .p-prediction__ttl.--cuszmodal .sub {
    font-size: 32px;
    margin-right: 20px;
  }
}
.p-prediction__ttl label {
  font-size: 13px;
}
@media (min-width: 768px) {
  .p-prediction__ttl label {
    margin-right: 18px;
    font-size: 32px;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__ttl label {
    margin-right: 9px;
    font-size: 25px;
  }
}
.p-prediction__ttl span {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background: #008765;
  border-radius: 3px;
  color: #fff;
  aspect-ratio: 82/48;
  width: 42px;
  font-size: 16px;
  font-weight: normal;
  line-height: 1.1;
  margin-right: 10px;
  margin-bottom: 5px;
}
@media (min-width: 768px) {
  .p-prediction__ttl span {
    border-radius: 4px;
    font-size: 32px;
    width: 82px;
    margin-bottom: 0;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__ttl span {
    font-size: 22px;
    width: 64px;
    height: 37px;
  }
}
.p-prediction__ttl.--none-bg {
  background: none;
  color: #222;
  margin-bottom: 15px;
}
.p-prediction__ttl.--none-bg:after {
  display: none;
}
.p-prediction__box {
  background: #fff;
  padding: 20px 16px 28px;
}
@media (min-width: 768px) {
  .p-prediction__box {
    padding: 24px 32px 56px;
  }
}
.p-prediction__box.--last {
  margin-bottom: 0;
}
.p-prediction__box.--padtop {
  padding-top: 0;
}
.p-prediction__box .box-ttl {
  color: var(--keycolor);
  position: relative;
  font-size: 16px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 45px;
  position: relative;
  cursor: pointer;
  font-feature-settings: normal;
  line-height: 1.5;
  border-top: 1px solid var(--keycolor);
  border-bottom: 1px solid var(--keycolor);
}
@media (min-width: 768px) {
  .p-prediction__box .box-ttl {
    padding-left: 20px;
    font-size: 32px;
    height: 80px;
    line-height: inherit;
    justify-content: center;
  }
}
@media (min-width: 768px) and (max-width: 1023px) {
  .p-prediction__box .box-ttl {
    font-size: 25px;
    height: 65px;
  }
}
.p-prediction__box .box-ttl.--blue {
  color: var(--c-blue-2);
  border-top: 1px solid var(--c-blue-2);
  border-bottom: 1px solid var(--c-blue-2);
}
.p-prediction__box .box-ttl.--blue .box-ttl__ic {
  background: var(--c-blue-2);
}
@media (max-width: 767px) {
  .p-prediction__box .box-ttl .init {
    margin-left: -7px;
  }
}
.p-prediction__box .box-ttl.is-active .box-ttl__ic:after {
  transform: translate(-50%, -50%) rotate(90deg);
}
.p-prediction__box .box-ttl__ic {
  display: inline-block;
  position: absolute;
  right: 22px;
  width: 24px;
  height: 24px;
  background: var(--keycolor);
  border-radius: 50%;
}
@media (min-width: 768px) {
  .p-prediction__box .box-ttl__ic {
    width: 40px;
    height: 40px;
  }
}
.p-prediction__box .box-ttl__ic:after {
  position: absolute;
  content: "";
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) rotate(-90deg);
  background: url(../img/common/ic_right_blue.svg) no-repeat top center;
  background-size: contain;
  filter: brightness(0) invert(1);
  width: 17px;
  height: 17px;
  transition: all 0.3s ease;
}
@media (min-width: 768px) {
  .p-prediction__box .box-ttl__ic:after {
    width: 22px;
    height: 22px;
  }
}
.p-prediction__box .box-ttl.--none-anchor {
  pointer-events: none;
  padding-left: 0;
}
.p-prediction__box .box-ttl.--none-anchor .box-ttl__ic {
  display: none;
}
.p-prediction__box .alarm {
  text-align: center;
  font-weight: 600;
  font-size: 16px;
  line-height: 1.5;
}
@media (min-width: 768px) {
  .p-prediction__box .alarm {
    font-size: 22px;
  }
}
.p-prediction__box .alarm:not(:last-child) {
  margin-bottom: 20px;
}
@media (min-width: 768px) {
  .p-prediction__box .alarm:not(:last-child) {
    margin-bottom: 30px;
  }
}
.p-prediction__box .box-content {
  padding: 20px 0;
}
@media (min-width: 768px) {
  .p-prediction__box .box-content {
    padding: 30px 0 0;
  }
}
.p-prediction__box .box-content .calendar-item {
  min-height: 351px;
  background: #efefef;
}
@media (min-width: 768px) {
  .p-prediction__box .box-content .calendar-item {
    width: 290px;
    margin-right: 16px;
  }
}
.p-prediction__box .box-content .sun {
  color: #ff0000;
}
.p-prediction__box .box-content .sat {
  color: #0000ff;
}
.p-prediction__box .pickup-nav {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  margin-top: 40px;
}
@media (max-width: 767px) {
  .p-prediction__box .pickup-nav {
    display: none;
  }
}
.p-prediction__box .pickup-nav.--blue .slick-arrow {
  border: 2px solid var(--c-blue-2);
}
.p-prediction__box .pickup-nav.--blue .slick-arrow:after {
  background-image: url(../img/common/ic_right_blue.svg);
}
.p-prediction__box .pickup-nav.--blue .slick-arrow:hover {
  background: var(--c-blue-2);
}
.p-prediction__box .pickup-nav.--blue .slick-dots li.slick-active button {
  border: 2px solid var(--c-blue-2);
}
.p-prediction__box .pickup-nav.--blue .slick-dots li button {
  background: var(--c-blue-2);
}
.p-prediction__box .pickup-nav .slick-arrow {
  color: transparent;
  width: 56px;
  height: 32px;
  border: 2px solid var(--keycolor);
  border-radius: 5px;
  position: relative;
}
.p-prediction__box .pickup-nav .slick-arrow:after {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 15px;
  height: 20px;
  background-repeat: no-repeat;
  background-position: top center;
  background-image: url(../img/common/ic_pink.svg);
}
.p-prediction__box .pickup-nav .slick-arrow.slick-prev:after {
  transform: translate(-50%, -50%) rotate(180deg);
}
.p-prediction__box .pickup-nav .slick-arrow:hover {
  background: var(--keycolor);
}
.p-prediction__box .pickup-nav .slick-arrow:hover:after {
  filter: brightness(0) invert(1);
}
.p-prediction__box .pickup-nav .slick-dots {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.p-prediction__box .pickup-nav .slick-dots li {
  margin: 0 5px;
}
.p-prediction__box .pickup-nav .slick-dots li.slick-active button {
  background: #fff;
  border: 2px solid var(--keycolor);
}
.p-prediction__box .pickup-nav .slick-dots li button {
  color: transparent;
  width: 14px;
  height: 14px;
  background: var(--keycolor);
  border: 2px solid transparent;
  border-radius: 50%;
}
.p-prediction__box .calendar-ttl {
  font-size: 12px;
  font-weight: bold;
  color: var(--keycolor);
  margin-bottom: 6px;
}
@media (min-width: 768px) {
  .p-prediction__box .calendar-ttl {
    display: none;
  }
}
.p-prediction__box .calendar-ttl.--blue {
  color: var(--c-blue-2);
}
.p-prediction__box .slider-nav {
  margin-bottom: 20px;
}
@media (min-width: 768px) {
  .p-prediction__box .slider-nav {
    display: none;
  }
}
.p-prediction__box .slider-nav.--blue .calendar-month {
  color: var(--c-blue-2);
  border: 2px solid var(--c-blue-2);
}
.p-prediction__box .slider-nav.--blue .calendar-month.slick-current {
  background: var(--c-blue-2);
  color: #fff;
}
.p-prediction__box .slider-nav .calendar-month {
  margin-right: 10px;
  font-size: 14px;
  font-weight: bold;
  width: 62px;
  height: 28px;
  color: var(--keycolor);
  border: 2px solid var(--keycolor);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
}
.p-prediction__box .slider-nav .calendar-month.slick-current {
  background: var(--keycolor);
  color: #fff;
}
.p-prediction__date {
  font-size: 16px;
  font-weight: bold;
  letter-spacing: 0.05em;
  position: relative;
  padding: 25px 0 15px;
  text-align: center;
}
@media (min-width: 768px) {
  .p-prediction__date {
    font-size: 36px;
    padding: 30px 0;
  }
}
@media (min-width: 1024px) {
  .p-prediction__date {
    font-size: 40px;
  }
}
.p-prediction__txt {
  font-size: 13px;
  line-height: 1.5;
  margin-top: 10px;
}
@media (min-width: 768px) {
  .p-prediction__txt {
    margin-top: 15px;
    font-size: 16px;
  }
}
.p-prediction__img.img-common {
  aspect-ratio: 320/130;
}
@media (min-width: 768px) {
  .p-prediction__img.img-common {
    aspect-ratio: 3/1;
  }
}
.p-prediction__tag {
  display: inline-block;
  font-size: 13px;
  padding: 10px 20px;
  min-width: 110px;
  text-align: center;
  background-color: #EFEFEF;
  margin-bottom: 24px;
  font-weight: 500;
}
.p-prediction .c-note {
  margin-top: 32px;
}

.traffic-modal-bg {
  background: #efefef;
  margin: 0 -15px 20px;
  padding: 0 15px 15px;
  position: relative;
}
@media (min-width: 768px) {
  .traffic-modal-bg {
    margin: 0 -15px 40px;
    padding: 10px 30px;
  }
}
@media (min-width: 1024px) {
  .traffic-modal-bg {
    padding-left: 80px;
    padding-right: 80px;
  }
}
.traffic-modal-bg:last-child {
  margin-bottom: 0;
}

.traffic-modal-pager .btn {
  font-weight: 500;
  height: 57px;
}
.traffic-modal-pager .btn.last {
  display: none;
}
.traffic-modal-pager .btn span {
  background: #fff;
  border: 2px solid var(--keycolor);
  border-radius: 50%;
  display: block;
  width: 32px;
  position: relative;
}
@media (min-width: 768px) {
  .traffic-modal-pager .btn span {
    border-width: 3px;
    width: 40px;
  }
}
@media (min-width: 1024px) {
  .traffic-modal-pager .btn span {
    width: 64px;
  }
}
@media (max-width: 767px) {
  .traffic-modal-pager .btn span {
    flex-shrink: 0;
  }
}
.traffic-modal-pager .btn span.--left:before {
  transform: translate(-50%, -50%) rotate(180deg);
}
.traffic-modal-pager .btn span:before {
  background: url(../img/common/ic_pink.svg) no-repeat bottom center;
  background-size: contain;
  aspect-ratio: 12/20;
  width: 8px;
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
@media (min-width: 768px) {
  .traffic-modal-pager .btn span:before {
    width: 10px;
  }
}
@media (min-width: 1024px) {
  .traffic-modal-pager .btn span:before {
    width: 20px;
  }
}

#nagano-up-modal .traffic-modal-pager .btn,
#nagano-matsumoto-modal .traffic-modal-pager .btn {
  color: var(--c-blue-2);
}
#nagano-up-modal .traffic-modal-pager .btn span,
#nagano-matsumoto-modal .traffic-modal-pager .btn span {
  border: 2px solid var(--c-blue-2);
}
#nagano-up-modal .traffic-modal-pager .btn span:before,
#nagano-matsumoto-modal .traffic-modal-pager .btn span:before {
  background: url(../img/common/ic_right_blue.svg) no-repeat bottom center;
}
#nagano-up-modal .traffic-modal-close,
#nagano-matsumoto-modal .traffic-modal-close {
  background: var(--c-blue-2);
}
#nagano-up-modal .traffic-modal-timebar,
#nagano-matsumoto-modal .traffic-modal-timebar {
  --keycolor: var(--c-blue-2);
}

.month-11 .ui-state-default {
  background: #fff;
}

.month-11 .ui-datepicker-calendar tr:nth-child(6) td:first-child .ui-state-default,
.month-11 .ui-datepicker-calendar tr:nth-child(5) td:last-child .ui-state-default {
  background: #ddd;
}
